package tv.ouya.console.api;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;

public class UserInfo
  implements Parcelable
{
  public static final Parcelable.Creator<UserInfo> CREATOR = new Parcelable.Creator()
  {
    public UserInfo createFromParcel(Parcel paramAnonymousParcel)
    {
      String str1 = paramAnonymousParcel.readString();
      String str2 = paramAnonymousParcel.readString();
      String str3 = paramAnonymousParcel.readString();
      String str4 = paramAnonymousParcel.readString();
      boolean bool1;
      if (paramAnonymousParcel.readByte() == 1)
      {
        bool1 = true;
        if (paramAnonymousParcel.readByte() != 1) {
          break label67;
        }
      }
      label67:
      for (boolean bool2 = true;; bool2 = false)
      {
        return new UserInfo(str1, str2, bool1, str3, str4, bool2);
        bool1 = false;
        break;
      }
    }
    
    public UserInfo[] newArray(int paramAnonymousInt)
    {
      return new UserInfo[paramAnonymousInt];
    }
  };
  private String email;
  private boolean emailOptOut;
  private boolean founder;
  private String password;
  private String password2;
  private String username;
  
  public UserInfo() {}
  
  public UserInfo(String paramString1, String paramString2, boolean paramBoolean)
  {
    this.username = paramString1;
    this.email = paramString2;
    this.founder = paramBoolean;
  }
  
  public UserInfo(String paramString1, String paramString2, boolean paramBoolean1, String paramString3, String paramString4, boolean paramBoolean2)
  {
    this(paramString1, paramString2, paramBoolean1);
    this.password = paramString3;
    this.password2 = paramString4;
    this.emailOptOut = paramBoolean2;
  }
  
  public int describeContents()
  {
    return 0;
  }
  
  public boolean equals(Object paramObject)
  {
    if (this == paramObject) {}
    do
    {
      return true;
      if ((paramObject == null) || (getClass() != paramObject.getClass())) {
        return false;
      }
      paramObject = (UserInfo)paramObject;
      if (this.email != null)
      {
        if (this.email.equals(((UserInfo)paramObject).email)) {}
      }
      else {
        while (((UserInfo)paramObject).email != null) {
          return false;
        }
      }
      if (this.password != null)
      {
        if (this.password.equals(((UserInfo)paramObject).password)) {}
      }
      else {
        while (((UserInfo)paramObject).password != null) {
          return false;
        }
      }
      if (this.password2 != null)
      {
        if (this.password2.equals(((UserInfo)paramObject).password2)) {}
      }
      else {
        while (((UserInfo)paramObject).password2 != null) {
          return false;
        }
      }
      if (this.username != null)
      {
        if (this.username.equals(((UserInfo)paramObject).username)) {}
      }
      else {
        while (((UserInfo)paramObject).username != null) {
          return false;
        }
      }
      if (this.founder != ((UserInfo)paramObject).founder) {
        return false;
      }
    } while (this.emailOptOut == ((UserInfo)paramObject).emailOptOut);
    return false;
  }
  
  public String getEmail()
  {
    return this.email;
  }
  
  public String getPassword()
  {
    return this.password;
  }
  
  public String getPassword2()
  {
    return this.password2;
  }
  
  public String getUsername()
  {
    return this.username;
  }
  
  public int hashCode()
  {
    int m = 0;
    int i;
    int j;
    if (this.username != null)
    {
      i = this.username.hashCode();
      if (this.email == null) {
        break label123;
      }
      j = this.email.hashCode();
      label33:
      if (this.password == null) {
        break label128;
      }
    }
    label123:
    label128:
    for (int k = this.password.hashCode();; k = 0)
    {
      if (this.password2 != null) {
        m = this.password2.hashCode();
      }
      return ((((i * 31 + j) * 31 + k) * 31 + m) * 31 + new Boolean(this.founder).hashCode()) * 31 + new Boolean(this.emailOptOut).hashCode();
      i = 0;
      break;
      j = 0;
      break label33;
    }
  }
  
  public boolean isEmailOptOut()
  {
    return this.emailOptOut;
  }
  
  public boolean isFounder()
  {
    return this.founder;
  }
  
  public UserInfo setEmail(String paramString)
  {
    this.email = paramString;
    return this;
  }
  
  public void setEmailOptOut(boolean paramBoolean)
  {
    this.emailOptOut = paramBoolean;
  }
  
  public UserInfo setPassword(String paramString)
  {
    this.password = paramString;
    return this;
  }
  
  public UserInfo setPassword2(String paramString)
  {
    this.password2 = paramString;
    return this;
  }
  
  public UserInfo setUsername(String paramString)
  {
    this.username = paramString;
    return this;
  }
  
  public String toString()
  {
    int j = 1;
    StringBuilder localStringBuilder = new StringBuilder().append("UserInfo{username='").append(this.username).append('\'').append(", email='").append(this.email).append('\'').append(", password='").append(this.password).append('\'').append(", password2='").append(this.password2).append('\'').append(", founder='");
    if (this.founder)
    {
      i = 1;
      localStringBuilder = localStringBuilder.append(i).append('\'').append(", emailOptOut='");
      if (!this.emailOptOut) {
        break label141;
      }
    }
    label141:
    for (int i = j;; i = 0)
    {
      return i + '\'' + '}';
      i = 0;
      break;
    }
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    int i = 1;
    paramParcel.writeString(this.username);
    paramParcel.writeString(this.email);
    paramParcel.writeString(this.password);
    paramParcel.writeString(this.password2);
    if (this.founder)
    {
      paramInt = 1;
      paramParcel.writeByte((byte)paramInt);
      if (!this.emailOptOut) {
        break label70;
      }
    }
    label70:
    for (paramInt = i;; paramInt = 0)
    {
      paramParcel.writeByte((byte)paramInt);
      return;
      paramInt = 0;
      break;
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/api/UserInfo.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */